#ifndef SERIALBASEHANDLE_H
#define SERIALBASEHANDLE_H

#include <QByteArray>
#include <QString>

class SerialBaseHandle
{
public:
    SerialBaseHandle();
    virtual ~SerialBaseHandle();

    virtual bool needSend() = 0;
    virtual QByteArray sendData() = 0;
    virtual void handle(QByteArray & data) = 0;

    static SerialBaseHandle * getHandler(int type, const QString & result = QString());
};

#endif // SERIALBASEHANDLE_H
